import 'package:flutter/material.dart';
import 'package:flutter/src/widgets/framework.dart';
import 'package:get/get.dart';
import 'package:worker_client/models/entities/Job.dart';
import 'package:worker_client/services/job.dart';
import 'package:worker_client/widgets/MyCard/index.dart';
import 'package:worker_client/widgets/layout/BasicPage.dart';

class Detail extends BasicPage {
  final job = Rx<Job>(Job());
  @override
  void beforeShow() {
    super.beforeShow();
    if (Get.arguments != null) {
      //请求详情接口
      getJobDetail(Get.arguments['id'].toString())
          .then((value) => {job(Job.fromJson(value))});
    }
  }

  void changeJob(Job item) {}
  void goDetail(Job item) {}
  @override
  Widget builder(BuildContext context) {
    naviTitle = '详情';
    return Container(
        alignment: Alignment.topCenter,
        child: Column(
          children: [
            Obx(() => MyCard(
                  item: job(),
                  job: true,
                  detail: true,
                  onClick: () {
                    changeJob(job());
                  },
                  goDetail: () {
                    goDetail(job());
                  },
                  buttomText: job().status == 0 ? '开始作业' : '完成作业',
                ))
          ],
        ));
  }
}
